Name:           mate-accountsdialog
Version:        1.8.1
Release:        3%{?dist}
Summary:        An application to view and modify user accounts information

Group:          Applications/System
License:        GPLv3+
URL:            https://github.com/NiceandGently/%{name}
Source0:        http://download.raveit.de/pub/Mate-Desktop/SOURCE/%{name}-%{version}.tar.xz


BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  mate-desktop-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  unique-devel
BuildRequires:  mate-polkit-devel
BuildRequires:  iso-codes-devel
BuildRequires:  apg
BuildRequires:  desktop-file-utils
BuildRequires:  mate-common
BuildRequires:  systemd-devel

Requires:       accountsservice >= 0.6
Requires:       apg
Requires:       passwd

%description
The Mate-AccountsDialog project provides an application to view and modify
user account information that is provided by the AccountsService. It
also lets you configure some aspects of the gdm login screen.

%prep
%setup -q

%build
%configure --enable-systemd

make %{?_smp_mflags} V=1


%install
%{make_install}

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/mate-accountsdialog.desktop

%find_lang %{name}


%files -f %{name}.lang
%doc COPYING README AUTHORS
%{_bindir}/mate-accountsdialog
%{_datadir}/mate-accountsdialog/
%{_datadir}/applications/mate-accountsdialog.desktop


%changelog
* Sun Jun 21 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-3
- release for f22

* Sat Dec 06 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-2
- rebuild for f21 release

* Thu Jul 29 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-0
- update to 1.8.1 release
- remove glib2 patch

* Thu Jul 24 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-2
- fix mutex lock issue with glib2-2.41.2

* Sun Jul 20 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-1
- update to 1.8.0

* Sat Mar 08 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- ready for mate-1.8

* Sun Feb 09 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-1
- initial build for mate

* Mon Apr  5 2010 Matthias Clasen <mclasen@redhat.com> - 0.6-3
- Fix a possible crash when changing password
